package com.mangst.io;

/*
 * Copyright 2009 Mike Angstadt
 * mike.angstadt@gmail.com
 * http://www.mangst.com/
 */

import java.io.StringReader;

import org.junit.Assert;
import org.junit.Test;

import com.mangst.io.SpecialBufferedReader;

public class SpecialBufferedReaderTest {
	@Test
	public void test() throws Exception {
		String s = "text\n  #ignore me\n  \n  more text  ";
		SpecialBufferedReader reader = new SpecialBufferedReader(new StringReader(s));
		Assert.assertTrue(reader.readLine().equals("text"));
		Assert.assertTrue(reader.readLine().equals("  more text  "));
		Assert.assertTrue(reader.readLine() == null);
	}
}
